import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';

class Empty extends StatelessWidget {
  final String? text;
  const Empty({super.key, this.text});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Row(mainAxisAlignment: MainAxisAlignment.center, children: [
        Center(
            child: Icon(Icons.error_outline,
                size: ScreenAdaper.height(40), color: Colors.red)),
        SizedBox(
          width: ScreenAdaper.width(10),
        ),
        Text(
          text ?? '',
          textAlign: TextAlign.center,
          style: TextStyle(fontSize: ScreenAdaper.height(35)),
        ),
      ]),
    );
  }
}
